<!--#include file="settings.asp"-->
<!--#include file="subs/utilFunctions.asp"-->

<% 
' viewID will have the following values:
' 1: home page
' 2: browseCategories
' 3: browseProducts
' 4: browseProductsDetails
' 5: browseProductsSearch
' 6: search
' 7: error

' 48: viewCart
' 49: customerAccountNew (register)
' 50: login
' 51: logout
' 52: customerAccountEdit
' 53: checkOut
' 54: viewOrders
' 55: checkOutBeforePayment
' 56: checkOutProcessOrder
' 57: checkOutOrder
' 58: checkOutPrinter
' 59: viewOrdersDetails

dim storeSession, sqlString
dim sessionTimeOut 'this value will be set from admin section
dim loginTime
dim userID, customerID, urlString, viewID, isLoggedIn
dim errMessage, redirectPath

'---------------------- verify if store is activated -----------------------------------
sqlString = "select activateStore from storeSettings where storeID = "&storeID
Set storeSession = Server.CreateObject("ADODB.Recordset")
storeSession.open sqlString, storeConn, 1, 1
if not storeSession("activateStore") then
	storeSession.close
	set storeSession = nothing
	set storeConn = nothing
	response.write The_store_is_temporary_closed_CONST
	response.end
end if
storeSession.close

'------------------------------- test include session -----------------------------
if instr(lcase(request.serverVariables("SCRIPT_NAME")), "/body/") > 0 then
	redirectPath = "../"
else
	redirectPath = ""
end if

'------------------------------- test view ID --------------------------------------
viewID = request.queryString("viewID")
if not testUrl(viewID, errMessage) then
	session("errorMessage") = errMessage
	set storeSession = nothing
	set storeConn = nothing
	response.redirect redirectPath&"error.asp?viewID=7"
end if

if viewID = "" then
	viewID = 1 'home page
else
	if viewID < 0 or viewID > 100 then
		viewID = 1 'home page
	end if
end if
'------------------------------- test user ID --------------------------------------
userID = request.queryString("userID")
if userID = "" then
	call createUserID
else
	userID = replace(userID, "'", "''")
	urlString = "userID="&userID&"&"
	sqlString = "select userID, custID, loginTime, isLoggedIn from storeUsers where userID='"&userID&"' and storeID="&storeID
	storeSession.open sqlString ,storeConn, 1, 1
	if storeSession.eof then
		storeSession.close
		set storeSession = nothing
		set storeConn = nothing
		errMessage = Please_dont_modify_application_variables_CONST
		session("errorMessage") = errMessage
		response.redirect redirectPath&"error.asp?viewID=7"
	else
		isLoggedIn = storeSession("isLoggedIn")
		if isLoggedIn then
			'test the timeout
			loginTime = storeSession("loginTime")
			'calculate sessionTimeOut value from storeSettings table
			sqlString = "select sessionTimeOut from storeSettings where storeID = "&storeID
			dim storeSession2
			Set storeSession2 = Server.CreateObject("ADODB.Recordset")
			storeSession2.open sqlString, storeConn, 1, 1
			sessionTimeOut = cdbl(storeSession2("sessionTimeOut"))
			storeSession2.close
			set storeSession2 = nothing
			if DateDiff("n", loginTime, Now()) > sessionTimeOut then
				'logout the customer
				sqlString = "update storeUsers set isLoggedIn = 0 where userID = '"&userID&"' and storeID = "&storeID
				storeConn.execute sqlString
				isLoggedIn = false
				response.cookies("ssUserLoggedIn") = ""
			end if
		end if
	end if
	customerID = storeSession("custID")

	'update viewID
	if viewID<>50 then
		sqlString = "update storeUsers set viewID="&viewID&" where userID='"&userID&"' and storeID="&storeID
		storeConn.execute sqlString
	end if
	storeSession.close
end if
set storeSession = nothing

'---------------------------------- redirect conditions -------------------------------------
if viewID = 0 then 
	' view store from admin; the userID is created
	response.redirect "default.asp?"&urlString&"viewID=1"
end if
if viewID = 51 and isLoggedIn = false then 'login
	session("errorMessage") = You_are_not_logged_in_CONST
	response.redirect redirectPath&"error.asp?"&urlString&"viewID=7"
end if
if viewID > 50 and isLoggedIn = false then
	response.redirect redirectPath&"login.asp?"&urlString&"viewID=50"
end if
if viewID = 50 and isLoggedIn then 'login
	response.redirect redirectPath&"logout.asp?"&urlString&"viewID=51"
end if
if viewID = 49 and isLoggedIn then 'register
	response.redirect redirectPath&"logout.asp?"&urlString&"viewID=51"
end if

'-------------------------------------------------------------------------------------	
sub createUserID()
	
	dim lowLimit,highLimit
	dim theValue
	dim httpAdress,IPAdress,browseType,loginTime
	dim sqlString
	dim oldLocale
	dim affiliateCode

	Randomize
	lowLimit = 1
	highLimit = 9999
	theValue = cstr(Int((highLimit - lowLimit + 1) * Rnd + lowLimit))
	userID = theValue&Month(Now())&Day(Now())&Hour(Now)&Minute(Now())&Second(Now)
	theValue = cstr(Int((highLimit - lowLimit + 1) * Rnd + lowLimit))
	userID = userID & theValue
	urlString = "userID="&userID&"&"
	
	httpAdress = Request.ServerVariables("REMOTE_HOST")
	IPAdress = Request.ServerVariables("REMOTE_ADDR")
	browseType = Request.ServerVariables("HTTP_USER_AGENT")
	loginTime = now()

	customerID = 0
	isLoggedIn = false
	response.cookies("ssUserLoggedIn") = ""
	affiliateCode = request.queryString("who_call")
	
	setlocale("en-us")
	if dbType = "MySQL" then
		sqlString = "insert into storeUsers (userID, storeID, custID, httpAdress, IPAdress, browseType, loginTime, isLoggedIn, viewID, affiliateCode) values "&_
				    " ('"&userID&"', "&storeID&", "&customerID&", '"&httpAdress&"', '"&IPAdress&"', '"&browseType&"', "&dateSepChar&getMySqlDate(loginTime)&dateSepChar&", 0, "&viewID&", '"&affiliateCode&"')"
	else
		sqlString = "insert into storeUsers (userID, storeID, custID, httpAdress, IPAdress, browseType, loginTime, isLoggedIn, viewID, affiliateCode) values "&_
				    " ('"&userID&"', "&storeID&", "&customerID&", '"&httpAdress&"', '"&IPAdress&"', '"&browseType&"', "&dateSepChar&loginTime&dateSepChar&", 0, "&viewID&", '"&affiliateCode&"')"
	end if
	storeConn.execute sqlString
	setlocale(storeLocaleID)

end sub
'-------------------------------------------------------------------------------------

%>
