<% 
function returnTabShip()

	dim htmlString
	htmlString = returnStartTab
	htmlString = htmlString & returnCellTab
	htmlString = htmlString & returnBodyTab
	htmlString = htmlString & returnEndTab
	
	returnTabShip = htmlString

end function
'-------------------------------------------------------------------------

function returnStartTab()

	dim htmlString
	htmlString = chr(60) &"% sub startTab() %" &chr(62) & vbcrlf 
	htmlString = htmlString & returnHTML(session("templateFolder")&"\private\central\tabShipStart.htm") & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf & vbcrlf
	
	returnStartTab = htmlString

end function
'-------------------------------------------------------------------------
function returnBodyTab()

	dim htmlString
	htmlString = "sub bodyTab() %" &chr(62) & vbcrlf 
	htmlString = htmlString & returnHTML(session("templateFolder")&"\private\central\tabShipBody.htm") & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf & vbcrlf
	
	returnBodyTab = htmlString

end function
'-------------------------------------------------------------------------
function returnEndTab()

	dim htmlString
	htmlString = "sub endTab() %" &chr(62) & vbcrlf 
	htmlString = htmlString & returnHTML(session("templateFolder")&"\private\central\tabShipEnd.htm") & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub %" &chr(62) & vbcrlf & vbcrlf
	
	returnEndTab = htmlString

end function
'-------------------------------------------------------------------------
function returnCellTab()

	dim htmlString, bodyString
	dim spaceWidth, spaceHeight, diffHeight, fundalColor, conturColor, cellColor, cellColorSelected
	dim fontString, linkString, startString, endString

	htmlString = returnHTML(session("templateFolder")&"\private\central\tabShipSettings.htm")
	if htmlString <> "" then
		spaceWidth = returnValue("#SPACE_WIDTH#", htmlString)
		spaceHeight = returnValue("#SPACE_HEIGHT#", htmlString)
		diffHeight = returnValue("#DIFF_HEIGHT#", htmlString)
		fundalColor = returnValue("#FUNDAL_COLOR#", htmlString)
		conturColor = returnValue("#CONTUR_COLOR#", htmlString)
		cellColor = returnValue("#CELL_COLOR#", htmlString)
		cellColorSelected = returnValue("#CELL_COLOR_SELECTED#", htmlString)
	
		startString = instr(htmlString, "#TAB_TEXT#")
		if startString>0 then
			endString = instr(mid(htmlString, startString), "#END#")
			if endString > 0 then
				endString = endString + startString - 1
				'startString = startString + len("#TAB_TEXT#") + 1
				startString = startString + len("#TAB_TEXT#") + 2
				fontString = mid(htmlString, startString, endString - startString - 2)
				fontString = replace(fontString, """", """""")
			end if
		end if
		startString = instr(htmlString, "#TAB_TEXT_SELECTED#")
		if startString>0 then
			endString = instr(mid(htmlString, startString), "#END#")
			if endString > 0 then
				endString = endString + startString - 1
				'startString = startString + len("#TAB_TEXT_SELECTED#") + 1
				startString = startString + len("#TAB_TEXT_SELECTED#") + 2
				linkString = mid(htmlString, startString, endString - startString - 2)
				linkString = replace(linkString, """", """""")
			end if
		end if
	end if
	
	bodyString = returnHTML(session("templateFolder")&"\private\central\tabShipCell.htm")
	bodyString = replace(bodyString, "#FUNDAL_COLOR#", fundalColor)
	bodyString = replace(bodyString, "#CONTUR_COLOR#", conturColor)
	bodyString = replace(bodyString, "#INNER_COLOR#", chr(60)&"%= innerColor %"&chr(62))
	bodyString = replace(bodyString, "#SPACE_WIDTH#", spaceWidth)
	bodyString = replace(bodyString, "#SPACE_HEIGHT#", chr(60)&"%= myHeight %"&chr(62))
	bodyString = replace(bodyString, "#TAB_TEXT#", chr(60)&"%= myTabText %"&chr(62))
	
	htmlString = "sub cellTab(tabText, tabLink, tabSelected)" & vbcrlf 
	htmlString = htmlString & "dim myTabText, innerColor, myHeight" & vbcrlf
	htmlString = htmlString & "if tabSelected then" &vbcrlf
	htmlString = htmlString & "   myTabText = """&fontString&"<b>""&tabText&""</b>"
	if instr(lcase(fontString), "<font") > 0 then
		htmlString = htmlString & "</font>"""
	elseif instr(lcase(fontString), "<div") > 0 then
		htmlString = htmlString & "</div>"""
	end if
	htmlString = htmlString & vbcrlf
	htmlString = htmlString & "   innerColor = """&cellColorSelected &"""" & vbcrlf
	htmlString = htmlString & "   myHeight = "&cstr(int(spaceHeight) + int(diffHeight)) & vbcrlf
	htmlString = htmlString & "else" & vbcrlf
	htmlString = htmlString & "   myTabText = ""<a href=""&tabLink&"">"&linkString&"<b>""&tabText&""</b>"
	if instr(linkString, "<font") > 0 then
		htmlString = htmlString & "</font>"
	end if
	htmlString = htmlString & "</a>""" &vbcrlf
	htmlString = htmlString & "   innerColor = """&cellColor &"""" & vbcrlf
	htmlString = htmlString & "   myHeight = "&cstr(int(spaceHeight)) & vbcrlf
	htmlString = htmlString &"end if %"&chr(62) & vbcrlf
	
	htmlString = htmlString & bodyString & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf 

	returnCellTab = htmlString
end function

'-------------------------------------------------------------------------
function returnValue(moduleID, htmlString)

	dim startString, endString
	
	startString = instr(htmlString, moduleID)
	if startString <= 0 then
		returnValue = ""
		exit function
	end if
	endString = instr(mid(htmlString, startString), ">")
	if endString <= 0 then
		returnValue = ""
		exit function
	end if
	endString = endString + startString - 1
	startString = startString + len(moduleID) + 1
	returnValue = mid(htmlString, startString, endString-startString)
	
end function

%>