<%
' -------------------------- permissions variables ---------------------------------
const MODULE_READING = 0
const MODULE_WRITING = 1
const MODULE_NOT_AVAILABLE = 2

dim CATEG_MODULE
dim PRODUCT_MODULE
dim IMAGE_MODULE
dim SETTING_MODULE
dim DESIGN_MODULE
dim PAYMENT_MODULE
dim SHIPPING_MODULE
dim TAX_MODULE
dim COUPON_MODULE
dim REPORT_MODULE
dim ORDER_MODULE
dim CUSTOMER_MODULE
dim AFFILIATE_MODULE
dim BANNER_MODULE
dim IMPORT_MODULE

'-----------------------------------------------------------------------------------
sub categoriesPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupCateg from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		CATEG_MODULE = cint(storeRS("groupCateg"))
	else
		CATEG_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing

end sub
'-----------------------------------------------------------------------------------
sub productsPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupProduct from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		PRODUCT_MODULE = cint(storeRS("groupProduct"))
	else
		PRODUCT_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub imagesPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupImg from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		IMAGE_MODULE = cint(storeRS("groupImg"))
	else
		IMAGE_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub settingsPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupStoreSetting from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		SETTING_MODULE = cint(storeRS("groupStoreSetting"))
	else
		SETTING_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub designPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupDesign from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		DESIGN_MODULE = cint(storeRS("groupDesign"))
	else
		DESIGN_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub paymentPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupPayment from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		PAYMENT_MODULE = cint(storeRS("groupPayment"))
	else
		PAYMENT_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub shippingPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupShipping from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		SHIPPING_MODULE = cint(storeRS("groupShipping"))
	else
		SHIPPING_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub taxPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupTaxe from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		TAX_MODULE = cint(storeRS("groupTaxe"))
	else
		TAX_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub couponsPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupCoupon from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		COUPON_MODULE = cint(storeRS("groupCoupon"))
	else
		COUPON_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub reportsPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupReport from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		REPORT_MODULE = cint(storeRS("groupReport"))
	else
		REPORT_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub ordersPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupOrder from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		ORDER_MODULE = cint(storeRS("groupOrder"))
	else
		ORDER_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub customersPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupCustomer from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		CUSTOMER_MODULE = cint(storeRS("groupCustomer"))
	else
		CUSTOMER_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub affiliatesPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupAffiliate from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		AFFILIATE_MODULE = cint(storeRS("groupAffiliate"))
	else
		AFFILIATE_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub bannersPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupBanner from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		BANNER_MODULE = cint(storeRS("groupBanner"))
	else
		BANNER_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
sub importPermissions()
	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select G.groupImport from mallGroups as G inner join mallAdmins as A on " &_
				"(G.groupID = A.groupID) where A.adminID = "&adminID&" and A.storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		IMPORT_MODULE = cint(storeRS("groupImport"))
	else
		IMPORT_MODULE = MODULE_NOT_AVAILABLE
	end if
	storeRS.close
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------
%>
